
-- Formatte un heure depuis une date/heure
function dth2hms(tempDate)

	local tempHour = tostring(tempDate.Hour);
	local tempMinute = tostring(tempDate.Minute);
	local tempSecond = tostring(tempDate.Second);
	-- local tempDay = tostring(tempDate.Day);
	-- local tempMonth = tostring(tempDate.Month);
	if string.len(tempHour) == 1 then tempHour = "0" .. tempHour end;
	if string.len(tempMinute) == 1 then tempMinute = "0" .. tempMinute end;
	if string.len(tempSecond) == 1 then tempSecond = "0" .. tempSecond end;
	-- if string.len(tempDay) == 1 then tempDay = "0" .. tempDay end;
	-- if string.len(tempMonth) == 1 then tempMonth = "0" .. tempMonth end;

	return tempHour..":"..tempMinute..":"..tempSecond;

end

function nb2hms(d)
	local r;
	local v;
	local rc="";
	if d <= 0 then return '0:00:00' end
	-- heures
	v = math.floor(d / 3600);
	rc = v .. ":";
	-- minutes
	v = math.floor( (d % 3600) / 60);
	if v < 10 then rc = rc .. "0" end
	rc = rc .. v .. ":";
	-- secondes
	v = math.floor(d % 60);
	if v < 10 then rc = rc .. "0" end
	return rc .. v;
end	