

-- Classe de bouton de type selection du storage
Tooltip = class(Turbine.UI.Window);

function Tooltip:Constructor()
	Turbine.UI.Window.Constructor(self);
	self:SetMouseVisible(false);
	self:SetSize(300,40);
	self:SetZOrder(99999);
	self.ctl = Turbine.UI.Label();
	self.ctl:SetParent(self);
	self.ctl:SetPosition(0,0);
	self.ctl:SetSize(self:GetWidth(),self:GetHeight());
	self.ctl:SetForeColor(Turbine.UI.Color(1,1,1));
	self.ctl:SetOutlineColor(Turbine.UI.Color(0.5,0,0));
	self.ctl:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.ctl:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.ctl:SetFont(Turbine.UI.Lotro.Font.Verdana14);
	self.ctl:SetMultiline(true);
	self.Show=function(x,y,t)
		self:SetPosition(x,y);
		self.ctl:SetText(t);
		self:SetVisible(true);
		self:Activate();
	end
	self.Hide=function()
		self:SetVisible(false);
	end
end	





function TooltipShow(s)
	-- Affiche une tooltip....
	-- Kiki.Commons.Trace("Tooltip="..s);
	gTooltip.Show(Turbine.UI.Display:GetMouseX() + 10 ,Turbine.UI.Display:GetMouseY() + 10,s);

end

function TooltipHide()
	gTooltip.Hide();
end

function TooltipAttach(c,t)
	c.MouseEnter=function()
		TooltipShow(t);
	end
	c.MouseLeave=function()
		TooltipHide();
	end
end
-- Initialise la fenetre de tooltip
gTooltip = Tooltip();
